%if "%{?scl}" == "ruby193"
    %global scl_prefix %{scl}-
    %global scl_ruby /usr/bin/ruby193-ruby
%else
    %global scl_ruby /usr/bin/ruby
%endif

%define upstream_name mariner-installer

Name:       rhcs-installer
Version:    0.1.0
Release:    1%{?dist}
Summary:    Foreman-installer plugin that allows you to install Foreman + RHCS Installer plugin
License:    GPLv3+
URL:        https://github.com/ceph/mariner-installer

Source0:    https://github.com/ceph/%{upstream_name}/archive/%{version}.tar.gz#/%{upstream_name}-%{version}.tar.gz

BuildArch:  noarch

Provides:   %{upstream_name} = %{version}-%{release}
Requires:   %{?scl_prefix}foreman-installer >= 1.7.0
Requires:   ceph-puppet-modules

%description
This is a foreman-installer plugin that allows you to install and configure Foreman
along with the RHCS installer plugin.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
#replace shebangs for SCL
%if %{?scl:1}%{!?scl:0}
  sed -ri '1sX(/usr/bin/ruby|/usr/bin/env ruby)X%{scl_ruby}X' bin/mariner-installer
%endif
sed -ri 's/mariner-installer.answers.yaml/rhcs-installer.answers.yaml/' config/mariner-installer.yaml
sed -ir '/:log_name:/ s/mariner-installer.log/rhcs-installer.log/' config/mariner-installer.yaml
sed -ir '/:log_dir:/ s|/var/log/mariner-installer|/var/log/rhcs-installer|' config/mariner-installer.yaml

%install
#install -d -m0755 %{buildroot}%{_datadir}/foreman-installer
#cp -Rp hooks modules %{buildroot}%{_datadir}/foreman-installer
install -d -m0755 %{buildroot}%{_sbindir}
cp -p bin/mariner-installer %{buildroot}%{_sbindir}/rhcs-installer
install -d -m0755 %{buildroot}%{_sysconfdir}/foreman/
cp -p config/mariner-installer.yaml %{buildroot}%{_sysconfdir}/foreman/rhcs-installer.yaml
cp -p config/mariner-installer.answers.yaml %{buildroot}%{_sysconfdir}/foreman/rhcs-installer.answers.yaml

%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc README.md
%config %attr(600, root, root) %{_sysconfdir}/foreman/%{name}.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/foreman/%{name}.answers.yaml
%{_sbindir}/rhcs-installer
#%{_datadir}/foreman-installer/*

